summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2015-08-04 16:36:04 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2015-08-04 18:54:16 +0200
commit1918f2e69db4dd8ab587355f3b17791af7b6dad2 (patch)
tree028e0bcaaa4f1020d0b47c555dcb7d1eb765ca96 /scripts
parent3763c65cc8c2613f5b49e4ce35e8289a8e07ce94 (diff)
downloadptxdist-1918f2e69db4dd8ab587355f3b17791af7b6dad2.tar.gz
ptxdist-1918f2e69db4dd8ab587355f3b17791af7b6dad2.tar.xz
ptxd_kconfig: allow the BSP to overwrite kconfig subtrees in config/
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/libptxdist.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/scripts/libptxdist.sh b/scripts/libptxdist.sh
index 3469ea3da..d86b7ee7b 100644
--- a/scripts/libptxdist.sh
+++ b/scripts/libptxdist.sh
@@ -255,7 +255,16 @@ ptxd_kconfig() {
pushd "${tmpdir}" > /dev/null
ln -sf "${PTXDIST_TOPDIR}/rules" &&
- ln -sf "${PTXDIST_TOPDIR}/config" &&
+ mkdir config &&
+ ptxd_in_path PTXDIST_PATH config &&
+ for dir in "${ptxd_reply[@]}"; do
+ local tmp
+ for tmp in $(( cd "${dir}" && ls ) 2>/dev/null); do
+ if [ ! -e "config/${tmp}" ]; then
+ ln -sfT "${dir}/${tmp}" "config/${tmp}" || break
+ fi
+ done
+ done &&
ln -sf "${PTXDIST_TOPDIR}/platforms" &&
ln -sf "${PTXDIST_WORKSPACE}" workspace &&
ln -sf "${PTX_KGEN_DIR}/generated" || return